## initramfs-tools 0.109.1~bpo60+1

=== debian/changelog ===
initramfs-tools (0.109.1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze
    - [0057004] Revert "keymap hook: provide warning message if
      loadkeys/setupcon are not available"
    - [456e394] Revert "Use setupcon to install system's keymap"
    - [244f00d] debian/control: Add Breaks for console-setup (>= 1.71~)
    - [d796bea] Revert "configure_networking: Use /run path for ipconfig
      generated script"
    - [3b6e51c] debian/control: Reduce klibc-utils dependency version and
      add Breaks for >= 2.0-1~
    - [c928a25] Revert "update-initramfs: Don't call flash-kernel directly"
    - [46b8a5c] Revert "mark Multi-Arch: foreign"
    - [503f7e0] Change dependency on new klibc-utils to allow busybox instead

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 18 Mar 2014 20:06:29 +0000

initramfs-tools (0.109.1) unstable; urgency=low

  * Team upload
  * [1314bff] hook-functions: Include more HID drivers in base
    (Closes: #697619)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 17 Apr 2013 02:20:49 +0100

initramfs-tools (0.109) unstable; urgency=low

  * keymap hook: provide warning message if loadkeys/setupcon are not
    available. Thanks to Raphael Hertzog <hertzog@debian.org> for the
    feedback (Closes: #689336)

 -- Michael Prokop <mika@debian.org>  Sat, 06 Oct 2012 00:43:00 +0200

initramfs-tools (0.108) unstable; urgency=low

  [ maximilian attems ]
  * [a8420de] hook-functions: add hid-generic module (Closes: #682340)
  * [9723143] debian/control: Scratch 2.6 mention

  [ Petr Baudis ]
  * [1d6b272] initramfs-tools: allow disabling initrd for make deb-pkg
    (Closes: #664171)

  [ Michael Prokop ]
  * [0ffc800] Use setupcon to install system's keymap. Thanks to
    Andreas Altergott <andreasaltergott@googlemail.com> for the initial
    patch. Thanks to Raphaël Hertzog <hertzog@debian.org> for testing,
    feedback and review. (Closes: #619711)

 -- Michael Prokop <mika@debian.org>  Fri, 21 Sep 2012 12:10:28 +0200

initramfs-tools (0.107) unstable; urgency=low

  [ Michal Suchanek ]
  * initramfs-tools: copy_exec quote ${src}
  * initramfs-tools: copy_exec add pattern for nonoptimized multiarch
    libraries (Closes: #659752)

  [ Vagrant Cascadian ]
  * initramfs-tools Don't override root=/dev/nfs by BOOT=local config
    (Closes: #677157)

  [ Adam Conrad ]
  * hooks/klibc: Make us play more nicely with busybox and static bin/sh
    (Closes: #638068)
  * Kernel versions aren't (necessarily) package versions, so redirect
    the whining from dpkg --compare-versions to /dev/null to avoid scary
    (and incorrect) warnings. (LP: #889584)

 -- Adam Conrad <adconrad@0c3.net>  Mon, 09 Jul 2012 11:07:21 -0600

initramfs-tools (0.106) unstable; urgency=high

  [ Josh Triplett ]
  * [67d4cec] initramfs-tools: Make manual_add_modules a no-op with no
    arguments (Closes: 676439)

 -- Michael Prokop <mika@debian.org>  Thu, 07 Jun 2012 14:40:24 +0200

initramfs-tools (0.105) unstable; urgency=high

  [ Thomas Lange ]
  * [c52544d] initramfs-tools: kernel script check for update-initramfs
    executuable.  (Closes: #669345)

  [ maximilian attems ]
  * [44b93e0] initramfs-tools: guard too kernel postrm script.

  [ Josh Triplett ]
  * [95d8e7a] initramfs-tools: fix update-initramfs with modprobe options.
    (Closes: #676400)

 -- maximilian attems <maks@debian.org>  Wed, 06 Jun 2012 22:38:38 +0200

initramfs-tools (0.104) unstable; urgency=high

  [ Michael Prokop ]
  * [9e961c6] docs: clarify that PREREQ is only honored inside single directory.
    Thanks to Marc Haber <mh+debian-bugs@zugschlus.de> for spotting thjs issue
    (Closes: #601324)

  [ maximilian attems ]
  * [b60b440] debian/control: Depend on kmod or m-i-t.
  * [f87e71b] hook-functions: handle rootfs output from mount(8).
    (Closes: #668616)
  * [042c5c9] init: tighten /run/initramfs permissions. (Closes: #655175)
  * [df4ffdf] scripts/functions: panic() don't abort on modprobe failures.
    (Closes: #674484)

  [ Vagrant Cascadian ]
  * [ddbdb4f] init: busybox's switch_root doesn't handle /proc or /sys moving.
    (Closes: #660297)

  [ Balwinder S Dheeman ]
  * [3ff8ee6] init: fixes ignored $tmpfs_size. (Closes: #670496)

  [ Josh Triplett ]
  * [2c5c942] initramfs-tools: speed-up by avoiding forks in the per-module
    hot path. (Closes: #652525)

 -- maximilian attems <maks@debian.org>  Wed, 06 Jun 2012 14:48:26 +0200

initramfs-tools (0.103) unstable; urgency=low

  * [3fd3568] configure_networking: Use /run path for ipconfig generated
    script.
  * [886abf0] debian/control: Depend on newer klibc-utils for /run path.

 -- maximilian attems <maks@debian.org>  Thu, 31 May 2012 15:57:37 +0200

initramfs-tools (0.102) unstable; urgency=low

  * [da64d1a] Deal with the uniquely broken situation of armhf having
    two linkers by creating both if we find either one in the target
  * [2f988c4] Add myself to uploaders and release

 -- Adam Conrad <adconrad@0c3.net>  Tue, 17 Apr 2012 17:43:08 -0600

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>, Adam Conrad <adconrad@0c3.net>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Recommends: busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
Depends: klibc-utils (>= 1.5.9-1), cpio, kmod | module-init-tools, udev, ${misc:Depends}, klibc-utils (>= 1.5.23-2~) | busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: usplash (<< 0.5.50)
Breaks: cryptsetup (<< 2:1.1.0-2.1), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (>= 1.71~), klibc-utils (>= 2.0-1~)
Description: generic modular initramfs generator
 This package contains tools to create a bootable initramfs for Linux kernel
 packages. The initramfs is a compressed cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on MD, LVM2, LUKS or
 NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.109.1

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
 
 Package: initramfs-tools
 Architecture: all
+Multi-Arch: foreign
 Recommends: busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
-Depends: klibc-utils (>= 1.5.9-1), cpio, kmod | module-init-tools, udev, ${misc:Depends}, klibc-utils (>= 1.5.23-2~) | busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
+Depends: klibc-utils (>= 2.0-1~), cpio, kmod | module-init-tools, udev, ${misc:Depends}
 Suggests: bash-completion
 Provides: linux-initramfs-tool
 Conflicts: usplash (<< 0.5.50)
-Breaks: cryptsetup (<< 2:1.1.0-2.1), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (>= 1.71~), klibc-utils (>= 2.0-1~)
+Breaks: cryptsetup (<< 2:1.1.0-2.1), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (<< 1.72)
 Description: generic modular initramfs generator
  This package contains tools to create a bootable initramfs for Linux kernel
  packages. The initramfs is a compressed cpio archive. At boot time, the

## initramfs-tools 0.115~bpo70+1

=== debian/changelog ===
initramfs-tools (0.115~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 Dec 2013 21:01:28 +0000

initramfs-tools (0.115) unstable; urgency=low

  [ Nikolaus Schulz ]
  * [736200b] hooks/resume: fix validation of $RESUME in config file
    (Closes: #724554)

  [ Matto Marjanovic ]
  * [b4fc5de] hooks/function: More solide ip= option parsing (Closes:
    #724644)

  [ maximilian attems ]
  * [9f7bb9c] init: support UUID for resume bootarg

  [ Michael Prokop ]
  * [9da5948] Add ohci-pci to base modules (Closes: #726957)

 -- Michael Prokop <mika@debian.org>  Mon, 04 Nov 2013 10:10:23 +0100

initramfs-tools (0.114) unstable; urgency=low

  [ Ian Campbell ]
  * [90f4cdb] include ehci-orion in auto_add_modules_list (Closes: #721519)

  [ maximilian attems ]
  * [fef37d5] hooks: Add resume hook instead of hardcoding RESUME once on
    preinst (Closes: #565225, LP 50437)
  * [5550692] hooks/resume: First check if a valid RESUME config is set
  * [e268df7] initramfs-tools.8: Document new resume handling
  * [6f0396a] hooks/klibc: Check for existence of klibc dash instead of
    executable property (Closes: #707040)
  * [9c823ad] mkinitramfs: check if initramfs has a shell
  * [6ad0985] hooks/resume: Fix function call
  * Update to latest standards version 3.9.4.

 -- maximilian attems <maks@debian.org>  Sun, 22 Sep 2013 21:04:19 +0200

initramfs-tools (0.113) unstable; urgency=low

  [ Henrique de Moraes Holschuh ]
  * [f59e716] implement early initramfs support (Closes: #712521)
  * [b8295f0] lsinitramfs(8): document failure to deal with early
    initramfs

 -- Michael Prokop <mika@debian.org>  Tue, 18 Jun 2013 09:32:58 +0200

initramfs-tools (0.112) unstable; urgency=low

  * Add myself to Uploaders
  * Upload to unstable following 'wheezy' release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 06 May 2013 01:55:25 +0100

initramfs-tools (0.111) experimental; urgency=low

  [ Ben Hutchings ]
  * [450783a] hook-functions: Include more HID drivers in base
    (Closes: #697619)
  * [849dab7] hook-functions: Exclude more unnecessary net drivers

 -- Michael Prokop <mika@debian.org>  Tue, 23 Apr 2013 22:38:48 +0200

initramfs-tools (0.110) experimental; urgency=low

  [ Michael Prokop ]
  * [3b2cca3] Install nfsv{2,3,4} kernel modules as used by Kernels >=3.6.
    Thanks to Julien Cristau <jcristau@debian.org> for the hint regarding
    the split
  * [38d3060] include ehci-pci in auto_add_modules list. Thanks to Bjørn
    Mork <bjorn@mork.no> for bug report + patch (Closes: #700572)

  [ Ben Hutchings ]
  * [70a3225] Remove '2.6.' from initramfs wildcard in bug script
    (Closes: #697319)
  * [5c78aa9] Remove more references to linux-2.6 in manual page and
    comments

 -- Michael Prokop <mika@debian.org>  Fri, 01 Mar 2013 11:47:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: initramfs-tools
 Section: utils
 Priority: optional
-Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>, Adam Conrad <adconrad@0c3.net>
+Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>, Adam Conrad <adconrad@0c3.net>, Ben Hutchings <ben@decadent.org.uk>
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
 Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

## initramfs-tools 0.115~bpo70+1+deb7u1

=== debian/changelog ===
initramfs-tools (0.115~bpo70+1+deb7u1) wheezy-lts-kernel; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Rebuild for Wheezy-ELTS.

 -- Markus Koschany <apo@debian.org>  Sat, 07 Jul 2018 16:10:44 +0200

## initramfs-tools 0.116

=== debian/changelog ===
initramfs-tools (0.116) unstable; urgency=medium

  The "DebConf14" release

  [ Helge Deller ]
  * [cee3e18] get_fstype: initialize FSTYPE variable (Closes: #745731)

  [ maximilian attems ]
  * [7bc24f8] scripts/nfs: fix nfs mount check for possible init symlink
    (Closes: #750360)

  [ Aurelien Jarno ]
  * [2e325a2] hook-functions: add support for virtio-mmio
    (Closes: #751143)

  [ Michael Prokop ]
  * [4c0338a] Fix hidden dependency issue with btrfs and crc32c. Thanks to
    Markus Wanner <markus@bluegap.ch> for the analysis and patch
    (Closes: #748805)
  * [2290173] Do not spawn shell when panic=... is used. Thanks to Lukas
    Anzinger <l.anzinger@gmail.com> for the analysis and patch
    (Closes: #751488)
  * [0e914d0] Preserve file permissions if root builds the initramfs
    images. Thanks to Harald Hoyer <harald@redhat.com> for providing the
    patch in dracut (Closes: #633582)
  * [39d0561] Support drop_capabilities=... boot option. Thanks to Kees
    Cook <kees@debian.org> for the patch (Closes: #679436)
  * [3d6fe1e] Support MODULES=dep usage on i2o hardware RAID controller.
    Thanks to Stephen Powell <zlinuxman@wowway.com> for the patch
    (Closes: #689558)
  * [a5126cf] Support usage of partitioned nbd devices with MODULES=dep.
    Thanks to Ian Campbell <ijc@hellion.org.uk> for the patch
    (Closes: #697368)
  * [ebeffcd] Inform user that lsinitramfs doesn't support cpio archives
    yet. Thanks to Javier Barroso <javibarroso@gmail.com> for the initial
    patch
  * [ad7ab64] Bump Standards-Version to 3.9.5

 -- Michael Prokop <mika@debian.org>  Sun, 31 Aug 2014 00:12:42 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>, Adam Conrad <adconrad@0c3.net>, Ben Hutchings <ben@decadent.org.uk>
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
 Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

## initramfs-tools 0.119

=== debian/changelog ===
initramfs-tools (0.119) unstable; urgency=medium

  The "Wait smarter not harder" release

  [ Ben Hutchings ]
  * [bf238f6] Always generate ORDER files in mkinitramfs (Closes: #688794)
  * [8529550] Move get_source, set_initlist, get_prereq_pairs, call_scripts to
    hook-functions
  * [6ba2e93] hook-functions: Add modules for various important device types
    (Closes: #762042)
  * [9c8bde8] mkinitramfs.8: Update default temporary directory
    (Closes: #764388)
  * [1bd461e] initramfs-tools.8: Refer to lsinitramfs rather than suggesting
    gunzip | cpio (Closes: #764022)
  * [64d39d0] Add comment to /usr/share/initramfs-tools/modules that it is not
    a config file (Closes: #752789)
  * [4f1414b] initramfs-tools.8: Improve documentation of break parameter.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #707583)
  * [a5fbfb8] update-initramfs: Fix error message in case of excess arguments
    (Closes: #627547)
  * [738678f] initramfs.conf.5: Update configuration directory (Closes: #759552)
  * [3862d9b] update-initramfs: Consistently show which options take arguments
    (Closes: #762768)
  * [35bdb74] Refer to lsinitramfs(8) from {initramfs-tools,mkinitramfs,
    update-initramfs}(8) (Closes: #764020)
  * [cf9691d] mkinitramfs: Use default xz compression level rather than -8
    (Closes: #697335)
  * [10ebca7] mkinitramfs: Improve warning text when missing modules.
    Thanks to Trent W. Buck <trentbuck@gmail.com> (Closes: #744836)
  * [540dcb6] initramfs-tools.8: Refer to 'phase' rather than 'stage' of
    initramfs execution
  * [c7a3b31] initramfs-tools.8: Briefly document the kernel hooks
  * [274f945] hooks/fsck: Remove dependency on hwclock by disabling e2fsck time
    check
  * [1780a66] checkfs: Continue unless fsck reports uncorrectable errors
    (Closes: #765614)
  * [e5526cd] checkfs: Correct error messages and emergency shell in case of
    failure
  * [9daea18] hooks/fsck: Fix type lookup for mount by UUID or label with
    type=auto (Closes: #766448)
  * [2b1d834] dep_add_modules: Add modules needed for /usr device
  * [a164229] NEWS: Begin a NEWS entry for the fsck and /usr-mount changes
  * [2bbe817] NEWS: Document the possible need to update mdadm INITRDSTART
    (Closes: #771301)
  * [884a518] control: Ensure cryptsetup is upgraded to support mounting /usr
  * [7b4635c] Allow passing arguments to hooks and scripts
  * [2e2f753] local: Call local-block boot scripts to prepare additional block
    devices
  * [3a1db85] control: Add versioned Breaks on lvm2 without a local-block boot
    script (Closes: #762984)
  * [d4e5601] local: Invoke local-block scripts from the loop in
    local_device_setup (Closes: #678696)
  * [8402332] local: Use max(30, rootdelay) as timeout for block device to
    appear
  * [adfa0f6] NEWS: Add an entry about e2fsck behaviour with RTC set to local
    time

  [ Bastian Blank ]
  * [9bc3a78] hook-functions: Add xhci-pci to module list (Closes: #773250)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 01 Mar 2015 23:58:49 +0000

initramfs-tools (0.118) unstable; urgency=medium

  [ Ben Hutchings ]
  * [70e371f] manual_add_modules: Set the kernel version when checking module
    firmware deps
  * [fdec1d3] lsinitramfs: Move the decompress | cpio pipeline into a function
  * [d5f4cd6] lsinitramfs: Parse and list files that include early microcode.
    Thanks to Brett Parker and Olivier Berger. (Closes: #717805)
  * [f868c43] lsinitramfs: Include -l option in usage message
  * [f4c512e] Add more sanity checks on root device name in dep_add_modules
  * [d58a65b] Support MODULES=dep usage when root was mounted from hidden
    /dev/root (Closes: #689942)
  * [ebf275a] Check for root device's module dependencies at all levels of
    device hierarchy
  * [52abbfb] init: Decide what the real init is immediately before mounting
    /usr
  * [25aa264] init: Fix validation of the real init program
  * [66a141e] init: Resolve both absolute and relative symlinks in
    validate_init
  * [042d7a3] init: Only mount /usr if the real init is systemd
    (Closes: #763157)
  * [d641934] debian/control: Add Breaks: systemd-sysv (<< 186)
  * [305489e] debian/control: Conflict with linux-initramfs-tool
    (Closes: #729800)
  * [fd83e8b] panic: Do not return if reboot fails
  * [c0579f5] hooks/fsck: Add hwclock, related configuration files and udev
    rules (Closes: #763777)
  * [a7bd088] debian/control: Add versioned Depends on util-linux to avoid
    adjusting clock twice
  * [6ae39eb] debian/control: Fix minimum version of util-linux
  * [67e53ea] init: Set and export PATH before running any external commands
  * [8ebce59] Require new klibc-utils or busybox, to get 'readlink -f' and
    'mount -o defaults' (Closes: #762870)

  [ nandhp ]
  * [782d166] Fix handling of root filesystem with LABEL=/
    (/dev/disk/by-label/\x2f) (Closes: #756457)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 04 Oct 2014 17:19:10 +0100

initramfs-tools (0.117) unstable; urgency=medium

  [ Roger Leigh ]
  * Generalise logic used for mounting the rootfs:
    - The existing logic was only intended for mounting the root
      filesystem; this logic has been refactored to support the
      mounting of multiple filesystems
    - Add a read_fstab_entry function to parse /etc/fstab on the
      mounted rootfs
    - Add resolve_device function which generalises the existing
      support for resolving LABEL= and UUID= strings to the
      corresponding device node
    - Add general mount_top, mount_premount and mount_bottom functions,
      with boot-script-specific variants for the local and nfs scripts;
      other boot scripts should override them if needed; the local and
      nfs scripts show how to use these to redirect to a specific
      implementation
    - Add general mountfs function to mount a filesystem from the
      /etc/fstab on the mounted rootfs.  This works for both local and
      nfs mounts; other boot scripts may override it to provide more


## initramfs-tools 0.120

=== debian/changelog ===
initramfs-tools (0.120) unstable; urgency=medium

  * [23ee5f9] Add '.log' to fsck log output file, and document its existence
    (Closes: #780352)
  * [b87e34b] Remove old comment about running shell on failure of fsck
  * [864c04b] Create stamp files to tell the real init system fsck was
    successful (Closes: #782481)
  * [f54fe54] NEWS: Improve wording of the entry about mdadm's INITRDSTART
    setting
  * [25ab961] NEWS: Add entries about other ways of mounting /usr that won't
    work

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 13 Apr 2015 01:18:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>, Adam Conrad <adconrad@0c3.net>, Ben Hutchings <ben@decadent.org.uk>
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper (>= 7.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
 Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git
 
@@ -12,11 +12,11 @@
 Architecture: all
 Multi-Arch: foreign
 Recommends: busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
-Depends: klibc-utils (>= 2.0-1~), cpio, kmod | module-init-tools, udev, ${misc:Depends}
+Depends: klibc-utils (>= 2.0-1~), cpio, kmod | module-init-tools, udev, ${misc:Depends}, klibc-utils (>= 2.0.4-1.2~) | busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
 Suggests: bash-completion
 Provides: linux-initramfs-tool
-Conflicts: usplash (<< 0.5.50)
-Breaks: cryptsetup (<< 2:1.1.0-2.1), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (<< 1.72)
+Conflicts: linux-initramfs-tool, usplash (<< 0.5.50)
+Breaks: cryptsetup (<< 2:1.6.6-4~), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (<< 1.72), systemd-sysv (<< 186), lvm2 (<< 2.02.111-2.1~)
 Description: generic modular initramfs generator
  This package contains tools to create a bootable initramfs for Linux kernel
  packages. The initramfs is a compressed cpio archive. At boot time, the

## initramfs-tools 0.120+deb8u1

=== debian/changelog ===
initramfs-tools (0.120+deb8u1) jessie; urgency=medium

  [ Ben Hutchings ]
  * [c367d7d] scripts/functions: Use shell to create stamp file instead of
    'touch' (Closes: #783291)
  * [d22b95b] update-initramfs: Run 'sync' after writing the initramfs
    (Closes: #783620)
  * [c22cefe] hook-functions: Add support for nvme devices with MODULES=dep
    (Closes: #785147)
  * [e0b23a1] hook-functions: Add support for LVM/LUKS on mmcblk and nvme
    devices with MODULES=dep (Closes: #747871, #810808)
  * [0e905aa] scripts/functions: Fix fsck display options (Closes: #781239)

  [ Laurent Bigonville ]
  * [3c4b38a] Support fsck.mode= and fsck.repair= parameters as known by
    systemd-fsck (Closes: #783410, #792557)
  * [dcb0f0c] Run new panic scripts just before dropping to a shell
    (Closes: #602331)

  [ Boris Egorov ]
  * [2c82cf4] mkinitramfs: fix bashism in script (Closes: #633582)

  [ Andy Whitcroft ]
  * [97b664e] When adding i8042 also add psmouse as some keyboards are behind
    the mouse (Closes: #795839)

  [ Salvatore Bonaccorso ]
  * [71e5b62] scripts/nfs: Check return value from nfs_mount_root_impl
    (Closes: #782641)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 20 Feb 2016 15:48:17 +0000

## initramfs-tools 0.120+deb8u2

=== debian/changelog ===
initramfs-tools (0.120+deb8u2) jessie; urgency=medium

  * [7863219] hook-functions: Include drivers/nvme in block driver modules
    (Closes: #807000)
  * [fcef753] hook-functions: Create ORDER files even if there are no valid
    scripts (Closes: #814965)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Apr 2016 18:20:09 +0100

## initramfs-tools 0.120+deb8u3

=== debian/changelog ===
initramfs-tools (0.120+deb8u3) jessie; urgency=medium

  * [6661d01] hook-functions: Include drivers for all keyboards when
    MODULES=dep (Closes: #639876)
  * [6afc19f] auto_add_modules: Include most USB host drivers (Closes: #762634)
  * [eb35e9a] auto_add_modules: Include all bus driver modules
  * [c9636d5] Remove code that prunes 'broken' symlinks and sometimes /etc/mtab
    (Closes: #845581)
  * [50b90a9] auto_add_modules: Add all I2C bus and mux drivers when
    MODULES=most (Closes: #825687)
  * [94d23b8] hook-functions: Stop force-loading drivers found through sysfs
    when MODULES=dep (Closes: #792910)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 18 Feb 2017 20:43:30 +0000

## initramfs-tools 0.122ubuntu8

=== debian/changelog ===
initramfs-tools (0.122ubuntu8) xenial; urgency=medium

  * init: busybox hostname doesn't support the '-b' argument, and it's
    not relevant in this context anyway, as we test -f /etc/hostname.
  * init: Also fix the wrong redirection of stdout for the above call.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Apr 2016 14:37:22 -0600

initramfs-tools (0.122ubuntu7) xenial; urgency=medium

  * hook-functions: add hyperv-keyboard for Generation 2 VMs
    (LP: #1567107)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 13 Apr 2016 18:39:27 +0100

initramfs-tools (0.122ubuntu6) xenial; urgency=medium

  [ Andy Whitcroft ]
  * uuids: only apply case mapping to RFC#4122 format uuids (LP: #1553107,
    #1548120)

  [ Timo Aaltonen ]
  * hooks/framebuffer: Copy kernel/ubuntu/i915 backport driver too. (LP:
    #1500751)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 04 Mar 2016 10:12:42 +0000

initramfs-tools (0.122ubuntu5) xenial; urgency=medium

  [ Andy Whitcroft ]
  * uuids: busybox tr does not support symbolic ranges expand manually
    (LP: #1548120)

  [ Martin Pitt ]
  * wait-for-root.c: Drop check if device is queued in udev (LP: #1539195)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 24 Feb 2016 14:26:59 +0000

initramfs-tools (0.122ubuntu4) xenial; urgency=medium

  [ Manoj Iyer ]
  * Add support for uppercase and lowercase uuids. (LP: #1548120)

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 21 Feb 2016 22:12:36 +0000

initramfs-tools (0.122ubuntu3) xenial; urgency=medium

  * initramfs-tools-core uses initramfs-tools-bin add dependancy (LP:
    #1543244)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 08 Feb 2016 21:50:03 +0000

initramfs-tools (0.122ubuntu2) xenial; urgency=medium

  * fix vfat support (LP: #1540522) from initramfs.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Feb 2016 16:10:45 -0500

initramfs-tools (0.122ubuntu1) xenial; urgency=medium

  * Merge with Debian v0.122, known to fix:
    - root=PARTUUID=<partuuid> is not recognized as valid syntax
      (LP: #1531928)
  * Merge with Debian v0.122 (LP: #1541508), remaining changes:
    - Set takeover=1 in update-initramfs.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Don't display "Loading, please wait..." message when 'quiet' is in
      /proc/cmdline.
    - Ignore errors from iscan and iscan-data hooks.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - When receiving "recovery" on cmdline, start upstart with --startup-
      event=recovery (LP: #575469)
    - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g.
      current ntfs-3g doesn't work otherwise.
    - Mount /dev with the default tmpfs size rather than sourcing udev.conf.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest. (LP: #917135)
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Retain netboot= compatibility option.
    - Breaks: mountall (<< 2.0~)
    - Retain cryptopts= compatibility option.
    - Use busybox-initramfs for Depends.
    - Add vfat modules to the initramfs.
    - Maintain compatibility with pre- /run configurations
    - Use gzip from busybox instead of klibc.  Depend on busybox-initramfs
      (>= 1:1.13.3-1ubuntu5) to ensure that we have it.
    - Sync the mount options for /run from /lib/init/fstab (LP: #1152744)
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el (LP: #1326199)
    - fixrtc: wait for udev to settle to expose device symlinks
    - fixrtc: handle hwclock -s failures safely
    - fixrtc: support busybox, handle last mount time on system partition,
      expose fs create time (LP: #1420473)
    - fixrtc: avoid using xargs, wait-for-root before examining
    - fixrtc: suppress /dev/ram as a root when using systempart (LP:
      #1443329)
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - resume: only resume when the partition contains a resume image
    - resume: announce resume via plymouth if available
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - hook-functions: fix PowerPC NX Crypto Coprocessor support (LP:
      #1454687)
    - Drop: Maintain compatibility with pre- /run configurations (LP:
      #1485752)
    - Drop: Ignore errors from iscan and iscan-data hooks (LP: #1485562)
    - init: Mount /dev with "nosuid" Thanks to Daniel (LP: #1450960)
    - import direct archive upload 0.120ubuntu6
    - add squashfs to list of 'most' modules (LP: #1501834)
    - drop Breaks: against upstart as we use it in user sessions.
    - support mounting of loopback devices via loop*= parameters
    - local_device_setup: use wait-for-root if it supports the device


=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>, Michael Prokop <mika@debian.org>, Adam Conrad <adconrad@0c3.net>, Ben Hutchings <ben@decadent.org.uk>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0), bash-completion, pkg-config, libudev-dev
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/initramfs-tools/
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/initramfs-tools
X-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/kernel/initramfs-tools.git
X-Debian-Vcs-Git: https://anonscm.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Multi-Arch: foreign
Depends: initramfs-tools-core (= ${binary:Version}), linux-base, ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: linux-initramfs-tool, usplash (<< 0.5.50)
Breaks: cryptsetup (<< 2:1.6.6-4~), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (<< 1.72), systemd-sysv (<< 186), lvm2 (<< 2.02.111-2.1~), initscripts (<< 2.88dsf-59.3~), mountall (<< 2.0~)
Description: generic modular initramfs generator (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: initramfs-tools-core
Architecture: all
Multi-Arch: foreign
Recommends: busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
Depends: initramfs-tools-bin (= ${binary:Version}), busybox-initramfs (>= 1:1.13.3-1ubuntu5), klibc-utils (>= 2.0.4-7~), cpio, kmod | module-init-tools, udev, ${misc:Depends}, klibc-utils (>= 2.0.4-1.2~) | busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
Suggests: bash-completion
Breaks: initramfs-tools (<< 0.121~)
Replaces: initramfs-tools (<< 0.121~)
Description: generic modular initramfs generator (core tools)
 This package contains the mkinitramfs program that can be used to
 create a bootable initramfs for a Linux kernel.  The initramfs should
 be loaded along with the kernel and is then responsible for mounting
 the root filesystem and starting the main init system.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.

## initramfs-tools 0.122ubuntu8.14

=== debian/changelog ===
initramfs-tools (0.122ubuntu8.14) xenial-security; urgency=medium

  * scripts/functions: include a new option to skip enslaved network
    devices. (LP: #1802591)
      Include the new variable NETWORK_SKIP_ENSLAVED. When set to a
      value different than "0", this variable will cause any enslaved
      network devices to be skipped from the list of netbootable
      devices. This variable can be set via the configuration files
      under /etc/initramfs-tools/ or via any configuration file under
      the initrd directory /conf/conf.d/ via a hook script.

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 12 Dec 2018 11:35:20 -0200

initramfs-tools (0.122ubuntu8.13) xenial; urgency=medium

  [ Colin Watson ]
  * [b4804dd] Only sync the filesystem containing the initramfs
    (Closes: #882380) (LP: #1667512)

  [ Tiago Stürmer Daitx ]
  * debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
    in /boot. (LP: #1791959)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 18 Sep 2018 09:18:47 +0000

initramfs-tools (0.122ubuntu8.12) xenial; urgency=medium

  [ Scott Moser ]
  * scripts/functions: write netplan config files to /run/netplan for
    network devices configured with configure_networking. (LP: #1769682)

  [ Mathieu Trudel-Lapierre ]
  * scripts/functions: add 'critical: true' parameter; requires netplan
    0.32~16.04.5. (LP: #1769682)
  * debian/rules: skip tests on non-x86 architectures, where they then to be
    false negatives (extra macaddress matching makes the tests fail to match
    expected values).

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 16 May 2018 16:10:19 -0400

initramfs-tools (0.122ubuntu8.11) xenial; urgency=medium

  [ Oliver Grawert ]
  * make fixrtc catch "n/a" string and fall back to a sane value for the date
    command instead (LP: #1623125)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2017 09:38:07 +0100

initramfs-tools (0.122ubuntu8.10) xenial; urgency=medium

  * mkinitramfs: Delete or report temporary files in /var/tmp/ on failure.
    (LP: #1713004)

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 Dec 2017 11:17:43 -0800

initramfs-tools (0.122ubuntu8.9) xenial; urgency=low

  * hook-functions: include backported bnxt driver. (LP: #1712491)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 30 Aug 2017 11:10:40 +0100

initramfs-tools (0.122ubuntu8.8) xenial; urgency=medium

  * hook-functions: include xhci-plat-hcd in auto_add_modules_list
    (LP: #1649213)

 -- Ike Panhc <ike.pan@canonical.com>  Wed, 14 Dec 2016 13:59:43 +0800

initramfs-tools (0.122ubuntu8.7) xenial; urgency=medium

  * scripts/functions: clean up configure_networking and the function
    all_netbootable_interfaces to not have side-effects. (LP: #1621507)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Dec 2016 18:01:45 +0100

initramfs-tools (0.122ubuntu8.6) xenial; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * scripts/functions: for configure_networking:
    - split out IPv6 options in its own cmdline parameter: ip6= ; always use
      dhclient in this case if the value set is anything other than 'off' or
      'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any' as
      the name of an interface. (LP: #1621507)
    - rework the stop conditions so that we properly handle the ROUNDTTT loop,
      timing out after a short period of time and trying again after a short
      sleep.
    - add a 'done' parameter for both ip= and ip6= so that we can properly
      exit the ROUNDTTT loop once we know that either there is no work to do,
      or that we've achieved what we wanted (that is, to bring up IPv4, IPv6,
      or possibly both).
    - return ip=dhcp to the ipconfig use case; if set, then ipconfig will be
      run using any interface available, or the BOOTIF if it was set.

  [ LaMont Jones ]
  * Only source ipv4 config in configure_networking() if it exists.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 23 Nov 2016 15:50:50 -0500

initramfs-tools (0.122ubuntu8.5) xenial; urgency=medium

  * scripts/functions: Revert configure_networking changes to the state at
    0.122ubuntu8.1. (LP: #1631474)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 13 Oct 2016 17:19:56 -0400

initramfs-tools (0.122ubuntu8.4) xenial; urgency=medium

  * Fix case where ip=dhcp and ip=eth0 and other ip= instances exists on
    the kernel command line (LP: #1631474)
  * Also fixed an error discovered by the shellcheck static code analyzer
    where "$DEVICES" would be processed as a single device where-as removing
    the quotes allows the list to be correctly processed by the for loop.

 -- Dave Chiluk <chiluk@ubuntu.com>  Fri, 07 Oct 2016 16:21:50 -0500

initramfs-tools (0.122ubuntu8.3) xenial; urgency=medium

  * scripts/functions: make sure we can try to start all available and suitable
    interfaces if ip= isn't set when setting up the network, and exit as soon
    as we get an IP address. This retains the old behavior from ipconfig when
    ip= is unset, for really simple remote-root scenarios. (LP: #1628306)
  * scripts/functions: retain bootp/rarp behavior using ipconfig.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 27 Sep 2016 16:27:38 -0400

initramfs-tools (0.122ubuntu8.2) xenial; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * scripts/functions: update configure_networking to use dhclient.
    (LP: #1621507)

  [ LaMont Jones ]
  * Depend/Breaks isc-dhcp-client as needed to make sure that it has
    initramfs support

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 23 Sep 2016 16:01:48 -0600

initramfs-tools (0.122ubuntu8.1) xenial; urgency=medium

  * hook-functions: include ehci-msm in auto_add_modules_list
    (LP: #1588946)

 -- dann frazier <dannf@ubuntu.com>  Mon, 06 Jun 2016 12:31:45 -0600

## initramfs-tools 0.122ubuntu8.16

=== debian/changelog ===
initramfs-tools (0.122ubuntu8.16) xenial; urgency=medium

  * Add support for panic=-1 value (LP: #1831252)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Oct 2019 12:53:35 +0200

initramfs-tools (0.122ubuntu8.15) xenial; urgency=medium

  * hook-functions: include ehci-platform from HWE kernel.
    (LP: #1842284)

 -- Ike Panhc <ike.pan@canonical.com>  Wed, 04 Sep 2019 15:24:58 +0800

## initramfs-tools 0.122ubuntu8.17

=== src/Makefile ===
PKG_CONFIG = pkg-config
UDEV_CFLAGS = $(shell $(PKG_CONFIG) --cflags libudev)
UDEV_LIBS = $(shell $(PKG_CONFIG) --libs libudev)

CC = gcc
CFLAGS = -g -Wall -O2 $(UDEV_CFLAGS)
LDFLAGS =


.PHONY: all
all: wait-for-root rzscontrol

wait-for-root: wait-for-root.o
	$(CC) $(LDFLAGS) -o $@ $< $(UDEV_LIBS)

rzscontrol: rzscontrol.o
	$(CC) $(LDFLAGS) -o $@ $<

.PHONY: clean
clean:
	rm -f wait-for-root.o wait-for-root rzscontrol.o rzscontrol core *~

=== debian/changelog ===
initramfs-tools (0.122ubuntu8.17) xenial; urgency=medium

  * scripts/functions: Prevent printf error carry over if the wrong
    console is set. (LP: #1879987)
      The function _log_msg() is "void" typed, returning whatever its
      last command returns. This function is the basic building block
      for all error/warning messages in initramfs-tools. If a bad console
      is provided to kernel on command-line, printf returns error, and so
      this error is carried over in _log_msg(). Happens that checkfs()
      function has a loop that runs forever in this scenario (*if* fsck
      is not present in initramfs and "quiet" is not passed in the
      command-line). If that happens, boot is stuck and cannot progress.
      The simple fix hereby merged is to return zero on _log_msg().

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Thu, 23 Jul 2020 13:20:14 -0300

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Suggests: bash-completion
 Provides: linux-initramfs-tool
 Conflicts: linux-initramfs-tool, usplash (<< 0.5.50)
-Breaks: cryptsetup (<< 2:1.6.6-4~), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (<< 1.72), systemd-sysv (<< 186), lvm2 (<< 2.02.111-2.1~), initscripts (<< 2.88dsf-59.3~), mountall (<< 2.0~)
+Breaks: cryptsetup (<< 2:1.6.6-4~), elilo (<< 3.12-3.1~), lilo (<< 22.8-8.2~), s390-tools (<< 1.8.3-2~), console-setup (<< 1.72), systemd-sysv (<< 186), lvm2 (<< 2.02.111-2.1~), initscripts (<< 2.88dsf-59.3~), mountall (<< 2.0~), isc-dhcp-client (= 4.3.3-5ubuntu13), nplan (<< 0.32~16.04.5)
 Description: generic modular initramfs generator (automation)
  This package builds a bootable initramfs for Linux kernel packages.  The
  initramfs is loaded along with the kernel and is responsible for
@@ -28,7 +28,7 @@
 Architecture: all
 Multi-Arch: foreign
 Recommends: busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
-Depends: initramfs-tools-bin (= ${binary:Version}), busybox-initramfs (>= 1:1.13.3-1ubuntu5), klibc-utils (>= 2.0.4-7~), cpio, kmod | module-init-tools, udev, ${misc:Depends}, klibc-utils (>= 2.0.4-1.2~) | busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static
+Depends: initramfs-tools-bin (= ${binary:Version}), busybox-initramfs (>= 1:1.13.3-1ubuntu5), klibc-utils (>= 2.0.4-7~), cpio, kmod | module-init-tools, udev, ${misc:Depends}, klibc-utils (>= 2.0.4-1.2~) | busybox (>= 1:1.01-3) | busybox-initramfs | busybox-static, coreutils (>= 8.24)
 Suggests: bash-completion
 Breaks: initramfs-tools (<< 0.121~)
 Replaces: initramfs-tools (<< 0.121~)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with bash-completion $@

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

override_dh_auto_build:
	make -C src $(CROSS)

override_dh_auto_clean:
	make -C src clean

override_dh_install:
	dh_install
ifneq (,$(filter initramfs-tools,$(shell dh_listpackages)))
	install -d debian/initramfs-tools/usr/share/initramfs-tools/scripts/panic
	cp -a scripts/init-top/keymap \
		debian/initramfs-tools/usr/share/initramfs-tools/scripts/panic/keymap
	sed -i -e "/^OPTION=/d" \
		debian/initramfs-tools/usr/share/initramfs-tools/scripts/panic/keymap
endif
